Subject: bug#30204: 27.0.50; Changing major mode resets non-default invisibility spec

From: Juri Linkov <[email-masked]>
Date: Sun, 10 Oct 2021 19:50:22 +0300

>> "Clean" is not a very clear name for this, because the idea that
>> having no text properties is "cleaner" is a matter of taste.  Some
>> might not make the connection between the word "cleam" and what this
>> does.  Thus, people will have more difficulty remembering the name
>> from the meaning and vice versa.
>>
>> I suggest renaming it to "no-properties-mode".
>
> I think `no-properties-mode' sounds pretty awkward, but I don't really
> have much of an opinion here, one way or the other.

Since it strips all text properties, then maybe 'stripped-mode'.